Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.pp.output.html
Class HtmlHighlightingElementRender

    java.lang.Object
      gudusoft.gsqlparser.pp.output.html.HtmlHighlightingElementRender

All Implemented Interfaces:
  HighlightingElementRender

    public class HtmlHighlightingElementRender

extends java.lang.Object
implements HighlightingElementRender

Constructor Summary
`HtmlHighlightingElementRender(HighlightingElement element)`
`HtmlHighlightingElementRender(HighlightingElement element, java.awt.Color color, java.awt.Font font)`
`HtmlHighlightingElementRender(HighlightingElement element, java.awt.Color color, java.awt.Font font, boolean underLine, boolean strikeOut)`
`HtmlHighlightingElementRender(HighlightingElement element, java.awt.Font font)`

Method Summary
`static java.lang.String` | `color2String(java.awt.Color color)`
`java.awt.Color` | `getBackgroundColor()`
`HighlightingElement` | `getElement()`
`java.lang.String` | `getFontName()`
`int` | `getFontSize()`
`int` | `getFontStyle()`
`java.awt.Color` | `getForegroundColor()`
`boolean` | `isStrikeOut()`
`boolean` | `isUnderLine()`
`java.lang.String` | `render(java.lang.String tokenText)`
`void` | `setBackgroundColor(java.awt.Color backgroundColor)`
`void` | `setFontName(java.lang.String fontName)`
`void` | `setFontSize(int fontSize)`
`void` | `setFontStyle(int fontStyle)`
`void` | `setForegroundColor(java.awt.Color foregroundColor)`
`void` | `setStrikeOut(boolean strikeOut)`
`void` | `setUnderLine(boolean underLine)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlHighlightingElementRender

    public HtmlHighlightingElementRender(HighlightingElement element)

### HtmlHighlightingElementRender

    public HtmlHighlightingElementRender(HighlightingElement element,
                                         java.awt.Font font)

### HtmlHighlightingElementRender

    public HtmlHighlightingElementRender(HighlightingElement element,
                                         java.awt.Color color,
                                         java.awt.Font font,
                                         boolean underLine,
                                         boolean strikeOut)

### HtmlHighlightingElementRender

    public HtmlHighlightingElementRender(HighlightingElement element,
                                         java.awt.Color color,
                                         java.awt.Font font)

Method Detail

### getBackgroundColor

    public java.awt.Color getBackgroundColor()

### getElement

    public HighlightingElement getElement()

### getFontName

    public java.lang.String getFontName()

### getFontSize

    public int getFontSize()

### getFontStyle

    public int getFontStyle()

### getForegroundColor

    public java.awt.Color getForegroundColor()

### isStrikeOut

    public boolean isStrikeOut()

### isUnderLine

    public boolean isUnderLine()

### setBackgroundColor

    public void setBackgroundColor(java.awt.Color backgroundColor)

### setFontName

    public void setFontName(java.lang.String fontName)

### setFontSize

    public void setFontSize(int fontSize)

### setFontStyle

    public void setFontStyle(int fontStyle)

### setForegroundColor

    public void setForegroundColor(java.awt.Color foregroundColor)

### setStrikeOut

    public void setStrikeOut(boolean strikeOut)

### setUnderLine

    public void setUnderLine(boolean underLine)

### render

    public java.lang.String render(java.lang.String tokenText)

  Specified by:
    `render` in interface `HighlightingElementRender`

### color2String

    public static java.lang.String color2String(java.awt.Color color)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD